# Example license.properties — production edition, per-grant-type granularity.
#
# ETP is metered by transaction count instead of cores (license.cores is ignored entirely for
# ETP once its metering resolves to transactions — see LicenseClient.Builder#fromProperties).
# Every other grant type is core-metered, each requesting a different core count via its own
# per-type override; RUNTIME falls back to the generic license.cores since it has no override
# of its own.
#
# See LicenseClient.Builder#fromProperties for the full key reference and resolution order.

license.server.api=http://localhost:8080/license-client
license.type=production
license.metering=cores
license.cores=32

license.ETP.metering=transactions
license.BATCH.cores=16
license.HSORT.cores=24
license.SDK.cores=12
